# $Id: module.rb,v 1.1 2002/04/09 17:41:43 knu Exp $

require 'features/ruby18/base'

class Module
  def include?(mod)
    mod.type == Module or
      raise TypeError, "wrong argument type #{mod.type} (expected Module)"

    included_modules.include?(mod)
  end
end
